/*
	Putto
*/

/*
	Text align
*/

.putto-center{
	text-align: center !important;
}

.putto-left{
	text-align: left !important;
}

.putto-right{
	text-align: right !important;
}

/*
	Text transform
*/

.putto-uppercase{
	text-transform: uppercase;
}

/*
	Box
*/

.putto-box {
	background-color: #ffffff;
	padding: 16px;
	margin-bottom: 16px;
	position: relative;
}

/*
	Auto margin
*/

.putto-margin{
	margin:16px;
}

.putto-margin-child>*{
	margin:16px;
}
.putto-margin-child>*:not(:first-child){
	margin-left:0;
}

/*
	Breadcrumbs
*/

.putto-breadcrumbs {
	list-style: none;
	padding: 8px 15px;
	margin: 0;
	margin-bottom: 20px;
	background-color: #e5e5e5;
}

.putto-breadcrumbs>li {
	display: inline;
	margin-bottom: 0;
}

.putto-breadcrumbs>li+li:before {
	content: "/\00a0";
	padding: 0 5px;
}

.putto-breadcrumbs>li>a {
	display: inline;
}

/*
	Table
*/

.putto-table {
	width: 100%;
	border-collapse: collapse;
}

.putto-table tr, .putto-table th {
	vertical-align: top;
	text-align: left;
	font-weight: normal;
}

.putto-table td {
	padding: 5px;
}

/*
	Table-zebra
*/

.putto-zebra tr:first-child {
	font-weight: bold;
	background-color: #e5e5e5;
}

.putto-zebra tr:nth-child(odd):not(:first-child), .putto-zebra tbody tr:first-child {
	background-color: #f5f5f5;
}

.putto-zebra tr:hover{
	background-color: #B2EBF2 !important;
}

.putto-table-border td{
	border: 1px solid #000;
}

/*
	Table-zebra2
*/

.putto-zebra2 tr {
	vertical-align: top;
	border-bottom: 1px solid #ccc;
}

.putto-zebra2 tr:hover{
	background: #f1f1f1;
}

.putto-zebra2 tbody tr:last-child {
	border-bottom: 0;
}

.putto-zebra2 td, .putto-zebra2 th {
	padding: 8px 0;
	padding-right: 8px;
}

/*
	Form
*/

.putto-form{
	padding-top: 16px;
}

.putto-form input,
.putto-form textarea,
.putto-form select {
	outline: none;
	display: block;
	font: 12px 'Noto Sans', Arial;
	color: #00bcd4;
}

.putto-form input[type=radio],
.putto-form input[type=checkbox] {
	display: inline-block;
}

.putto-form input[type=submit] {
	outline: none;
	display: block;
}

.putto-form input[type=image]:hover,
.putto-form input[type=image]:focus {
	border: 0;
}

.putto-form textarea,
.putto-form select,
.putto-form input[type=text],
.putto-form input[type=email],
.putto-form input[type=password],
.putto-form input[type=date],
.putto-form input[type=datetime-local] {
	width: 100%;
	border: 1px solid #d8d8d8;
	padding: 5px;
	color: #404040;
}

.putto-form textarea {
	height: 100px;
	resize: none;
}

.putto-form input[type=submit],
.putto-form input[type=button],
.putto-form button {
	cursor: pointer;
	padding: 10px 16px;
	display: inline;
	background-color: #ffffff;
	text-transform: uppercase;
	border: 0;
	transition: all 0.3s;
}

.putto-form input[type=submit]:hover,
.putto-form input[type=button]:hover,
.putto-form button:hover {
	opacity: 0.9;
	background:#B2EBF2;
	background: #00bcd4;
    color: #fff;
}

.putto-form input[type=checkbox] {
	display: inline;
}

.putto-form input[type=file] {
	border: 0px;
	background-color: transparent;
}

.labelContainer{
	position: relative;
	margin-bottom: 16px;
}
.labelContainer:last-child{
	margin-bottom: 0;
}
.putto-form .label label{
	position: absolute;
    top: 7px;
	left: 5px;
	pointer-events:none;
	transition: all ease 0.2s;
	font-size:14px;
	color:#b0b0b0;
	padding:0 5px;
	font-family: 'Noto Sans', sans-serif;
}
.putto-form .label input, .putto-form .label textarea{
	padding:10px !important;
}
.putto-form .label input:focus ~ label,
.putto-form .label input:valid ~ label,
.putto-form .label input:read-only ~ label,
.putto-form .label textarea:focus ~ label,
.putto-form .label textarea:valid ~ label{
	top: -10px;
	color: #00838F;
	background: #fff;
}

/*
	Upload
*/

.uploadBox{
	display: block;
	padding: 40px 0;
	cursor: pointer;
	text-align: center;
	border: 3px dashed transparent;
	width: 100%;
}
.uploadBox input{
	display:none;
}
.uploadBox i{
	color: #4DC7EC;
	transition: all 0.5s;
}
.uploadBox:hover i{
	color: #FFA726;
}
.is-dragover{
	border: 3px dashed #ccc;
}
.is-dragover i{
	color: #FFA726;
}
.uploadPreview>div{
	position: relative;
	display: inline-block;
	height: 100px;
}
.uploadPreview>div>img{
	max-width: 100%;
	height: 100%;
}
.uploadPreview a.delete{
	display: none;
	position: absolute;
	top: 0;
	right: 0;
	font-size: 25px;
	background-color: #00BCD4;
	color:#fff;
	padding: 8px;
}
.uploadPreview>div:hover a.delete{
	display: block;
}
.uploadPreview.one>div, .uploadPreview.one>div>img{
	height: auto;
}

/*
	Buttons
*/

[class^="putto-btn-"] {
	display: inline-block;
	border: 0 !important;
	padding: 10px 16px;
	text-decoration: none;
	cursor: pointer;
	border: 0;
	text-transform: uppercase;
}

[class^="putto-btn-"]:hover {
	text-decoration: none;
	opacity: 0.8;
	color: #fff;
}
.putto-btn-inactive {
	color: #fff;
	background-color: #0097A7 !important;
}
.putto-btn-active {
	color: #fff;
	background-color: #006064 !important;
}
.putto-btn-success {
	color: #fff;
	background-color: #53a93f !important;
}

.putto-btn-danger {
	color: #fff;
	background-color: #dd4b39 !important;
}

.putto-btn-blue {
	color: #fff;
	background-color: #427fed !important;
}

.putto-btn-xs {
	padding: 2.5px 5px;
	font-size: 12px;
}

/*
	Information
*/
[class^="putto-info-"] {
	display: block;
	border: 0 !important;
	padding: 5px 10px;
	text-decoration: none;
	margin: 10px 0;
	box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}

.putto-info-success {
	color: #fff;
	background-color: #53a93f !important;
}

.putto-info-danger {
	color: #fff;
	background-color: #dd4b39 !important;
}

.putto-info-blue {
	color: #fff;
	background-color: #427fed !important;
}

/*
	Ul
*/

.putto-ul {
	list-style-position: inside;
	list-style: none;
	padding: 0;
	margin: 0;
}

.putto-ul li {
	list-style-position: inside;
}

.putto-ul ul {
	list-style:none;
}

.putto-ul ul li {
	margin-left: 10px;
}

.putto-ul a {
	text-decoration: none;
}

/*
	Gallery
*/

.putto-gallery {
	overflow: hidden;
	margin: 0;
	padding: 0;
	font-size: 14px;
}

.putto-gallery>div {
	display: inline-block;
	padding: 10px;
	background-color: #fff;
	margin: 0 10px 10px 0;
	width: 220px;
	vertical-align:top;
}

.putto-gallery img {
	opacity: 0;
}

.putto-gallery>div>a>div {
	display: block;
	height: 200px;
	overflow: hidden;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
}

.putto-gallery .title {
	font-size: 18px;
	text-align:center;
	margin-top: 10px;
}

.putto-gallery p {
	margin-top: 5px;
}

/*
	Catalog
*/

.putto-catalog {
	margin: 0;
	padding: 0;
	font-size: 14px;
	margin-left: -8px;
	clear: both;
}

.putto-catalog>div{
	display: inline-block;
    vertical-align: top;
	width: 25%;
}

.putto-catalog>div>div{
	margin-left: 8px;
	margin-bottom: 8px;
}

.putto-catalog img {
	opacity: 0;
}

.putto-catalog>div>div>a>div {
	display: block;
	height: 200px;
	overflow: hidden;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
}

.putto-catalog .title {
	font-size: 18px;
	text-align:center;
	padding: 10px 0;
}

.putto-catalog .title a{
	font-size: 18px;
}

.putto-catalog p {
	margin-top: 5px;
}

@media all and (max-width: 1100px) {
	.putto-catalog>div{
		width: 33.333% !important;
	}
}

@media all and (max-width: 900px) {
	.putto-catalog>div{
		width: 50% !important;
	}
}

@media all and (max-width: 700px) {
	.putto-catalog>div{
		width: 100% !important;
	}
}

/*
	Pagination
*/

.putto-pagination {
	text-align:center;
	margin:0;
	padding:0;
	/*-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;*/
	user-select: none;
}

.putto-pagination a {
	display: inline-block;
	border-top: 1px solid #d8d8d8;
	border-bottom: 1px solid #d8d8d8;
	border-right: 1px solid #d8d8d8;
	text-decoration: none;
	color: #262626;
	margin:0;
	padding: 5px 10px;
	font-size: 16px;
}

.putto-pagination a:hover {
	color:#262626;
	background:#e5e5e5;
}

.putto-pagination a.active,
.putto-pagination a.disabled {
	pointer-events: none;
	cursor: default;
	background:#e5e5e5;
}

.putto-pagination a:first-child {
	border-radius:5px 0 0 5px;
	border-left:1px solid #d8d8d8;
}

.putto-pagination a:last-child {
	border-radius:0 5px 5px 0;
}

/*
	Grid
*/

.putto-row {
	display: flex;
}

.putto-wrap {
	flex-wrap: wrap;
}

.putto-wrap-line > *{
	width:100%;
}

.putto-direction-column{
	flex-direction: column;
}

[class^="putto-col-"] {
	display: block;
	-webkit-box-flex: 1;
	-webkit-flex: 1;
	-ms-flex: 1;
	box-flex: 1;
	-moz-box-flex: 1;
	flex: 1;
	overflow: hidden;
}

.putto-col-1 {-webkit-flex: 1; box-flex: 1; -ms-flex: 1; flex: 1;}
.putto-col-2 {-webkit-flex: 2; box-flex: 2; -ms-flex: 2; flex: 2;}
.putto-col-3 {-webkit-flex: 3; box-flex: 3; -ms-flex: 3; flex: 3;}
.putto-col-4 {-webkit-flex: 4; box-flex: 4; -ms-flex: 4; flex: 4;}
.putto-col-5 {-webkit-flex: 5; box-flex: 5; -ms-flex: 5; flex: 5;}
.putto-col-6 {-webkit-flex: 6; box-flex: 6; -ms-flex: 6; flex: 6;}
.putto-col-7 {-webkit-flex: 7; box-flex: 7; -ms-flex: 7; flex: 7;}
.putto-col-8 {-webkit-flex: 8; box-flex: 8; -ms-flex: 8; flex: 8;}
.putto-col-9 {-webkit-flex: 9; box-flex: 9; -ms-flex: 9; flex: 9;}
.putto-col-10 {-webkit-flex: 10; box-flex: 10; -ms-flex: 10; flex: 10;}
.putto-col-11 {-webkit-flex: 11; box-flex: 11; -ms-flex: 11; flex: 11;}
.putto-col-12 {-webkit-flex: 12; box-flex: 12; -ms-flex: 12; flex: 12;}

.putto-col-fix {
	flex: none !important;
}

.putto-row>*:first-child{
	padding-left: 0;
}

.putto-row>*:last-child{
	padding-right: 0;
}

/*
	Justify-content
	Расположение по горизонтали (применяется к родительскому элементу flex-контейнера)
*/

.putto-x-start {
	justify-content: flex-start;
}

.putto-x-end {
	justify-content: flex-end;
}

.putto-x-center {
	justify-content: center;
}

.putto-x-between {
	justify-content: space-between;
}

.putto-x-around {
	justify-content: space-around;
}

/*
	Align-items
	Расположение по вертикали (применяется к родительскому элементу flex-контейнера)
*/

.putto-y-start{
	align-items: flex-start;
}

.putto-y-end{
	align-items: flex-end;
}

.putto-y-center{
	align-items: center;
}

.putto-y-baseline{
	align-items: baseline;
}

.putto-y-stretch{
	align-items: stretch;
}

/*
	Align-self
	Расположение по вертикали (применяется к flex-элементу)
*/

.putto-self-y-auto{
	align-self: auto;
}

.putto-self-y-start{
	align-self: flex-start;
}

.putto-self-y-end{
	align-self: flex-end;
}

.putto-self-y-center{
	align-self: center;
}

.putto-self-y-baseline{
	align-self: baseline;
}

.putto-self-y-stretch{
	align-self: stretch;
}

@media all and (max-width: 700px) {
	.putto-row {
		/*-ms-flex-wrap: wrap;
		-webkit-flex-wrap: wrap;
		-webkit-flex-flow: row wrap;
		-webkit-flex-flow: column wrap;
		display: -webkit-box;
		-webkit-box-orient: vertical;*/
		
		flex-flow: column wrap;
		flex-wrap: wrap;
	}
	[class^="putto-col-"] {
		/*-webkit-flex: 1 100%;
		-ms-flex: 1 100%;*/
		flex: 1 100%;
	}
}

.putto-auto {
	/*-webkit-flex: 1 auto;
	-ms-flex: 1 auto;*/
	flex: 1 auto;
}

.putto-autorow {
	/*-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	-webkit-flex-flow: row wrap;*/
	flex-wrap: wrap;
}

.putto-image {
	max-width: 100%;
}